package examples;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class BasicTagChild extends TagSupport {

   String pattern;
   Integer limit;

   public BasicTagChild() {
     resetAttr();
   }

   public void release() {
     resetAttr();
   }

   public void setPattern(String pattern) {
     this.pattern=pattern;
   }

   public void setLimit(String limit) {
     this.limit=new Integer(limit);
   }

   public int doStartTag() throws JspException {
     //return SKIP_BODY;
     return EVAL_BODY_INCLUDE;
   }

   public int doEntTag() throws JspException {
     return EVAL_PAGE;
   }

   private void resetAttr() {
     pattern=null;
     limit=null;
   }

}

